<template>
    <div>
        <EditMovementForm :movements="movements" />
    </div>
</template>
<script>
import EditMovementForm from '@/components/EditAmountPage/EditMovementForm.vue'
import api from '@/api.js'
export default {
    components: {
        EditMovementForm,
    },
    data() {
        return {
            movements: [],
            id_movements: null,
        }
    },
    async mounted() {
        this.movements = await this.EdiitMovement()
    },
    methods: {
        async EdiitMovement(id_movements) {
            id_movements = this.$route.params.id_movements
            return await api.editdisplayaMovement(id_movements)
        },
    },
}
</script>
